local TABAS_PanelConst = {}

local FONT_HGT_SMALL = getTextManager():getFontHeight(UIFont.Small)
local FONT_HGT_MEDIUM = getTextManager():getFontHeight(UIFont.Medium)

TABAS_PanelConst.SCALE = {
    HGT_SMALL = FONT_HGT_SMALL,
    HGT_MEDIUM = FONT_HGT_MEDIUM,
    HGT_BUTTON = FONT_HGT_SMALL + 6,
    BETWEEN_SPACING = FONT_HGT_SMALL * 0.6,
    BORDER_SPACING = FONT_HGT_SMALL * 0.45,
}

TABAS_PanelConst.COLOR = {
    backgroundColor = {r=0, g=0, b=0, a=0.5},
    backgroundColorDark = {r=0, g=0, b=0, a=0.8},
    blankColor = {r=0, g=0, b=0, a=0},
    borderColor = {r=0.6, g=0.6, b=0.6, a=1},
    borderOuterColor = {r=0.4, g=0.4, b=0.4, a=1},
    buttonBackgroundColor = {r=0.4, g=0.4, b=0.4, a=0.4},
    buttonBorderColor = {r=0.7, g=0.7, b=0.7, a=0.5},
    labelColor = {r=0.8, g=0.8, b=0.5,a=1},
    textColor = {r=1, g=1, b=1, a=1},
    variableColor={r=0.9, g=0.55, b=0.1, a=1}
}

TABAS_PanelConst.TEXTURE = {
    bg_button = getTexture("media/ui/Backgrounds/tabas_buttonBG.png"),
    bg_label = getTexture("media/ui/Backgrounds/tabas_labelGB.png"),
    bg_frame = getTexture("media/ui/Backgrounds/tabas_statusFrame.png"),

    trueIcon = getTexture("media/ui/Icons/tabas_trueIcon.png"),
    falseIcon = getTexture("media/ui/Icons/tabas_falseIcon.png"),
    infinityIcon = getTexture("media/ui/Icons/tabas_infinityIcon.png"),
}

return TABAS_PanelConst
